#
# spec file for package ghc-yesod-auth-hashdb
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name yesod-auth-hashdb
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.6.1
Release:        lp150.1.9
Summary:        Authentication plugin for Yesod
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-persistent-devel
BuildRequires:  ghc-pwstore-fast-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-yesod-auth-devel
BuildRequires:  ghc-yesod-core-devel
BuildRequires:  ghc-yesod-form-devel
BuildRequires:  ghc-yesod-persistent-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-basic-prelude-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-http-conduit-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-monad-logger-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-persistent-sqlite-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-wai-extra-devel
BuildRequires:  ghc-yesod-devel
BuildRequires:  ghc-yesod-test-devel
%endif

%description
This package is the Yesod.Auth.HashDB plugin, originally included as part of
yesod-auth, but now modified to be more secure and placed in a separate
package.

It provides authentication using hashed passwords stored in a database, and
works best in situations where an administrator is involved in setting up a
user with an initial password.

The complete login process, including a default form, is implemented by this
plugin, but the application developer must design the interfaces for setting up
users and allowing them to change their own passwords, since only the low-level
password-setting functions are provided by this package. (Note that other
authentication plugins may be more appropriate if you wish to use email
verification to set up accounts).

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md

%changelog
* Mon Apr 24 2017 psimons@suse.com
- Update to version 1.6.1 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.6.0.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.5.1.3 revision 0 with cabal2obs.
* Sun Aug 21 2016 psimons@suse.com
- Update to version 1.5.1.2 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.5.1.1 revision 0 with cabal2obs.
